<?php



$action=!empty($_REQUEST['action'])?$_REQUEST['action']:'';

switch ($action) {

    case 'guardar_color_columna':

        $archivoConfiguracion = '../view/colores_columna_tabla.json';

        if ($_SERVER['REQUEST_METHOD'] === 'POST') {

            $configuracion = $_POST['configuracion'];

            $datos=file_get_contents($archivoConfiguracion);

            if($datos==''){

                $arrayExistente=[];

            }else{

                $arrayExistente = json_decode($datos, true);// Agregar el nuevo elemento al array existente    

            }

            // Verificar si el elemento ya existe en el array

            $elementoExistente = array_filter($arrayExistente, function($elem) use ($configuracion) {

                return $elem['column'] == $configuracion['column'];

            });



            // Actualizar el color si el elemento existe, de lo contrario, agregarlo

            if (!empty($elementoExistente)) {

                // El elemento ya existe, actualizar el color

                $arrayExistente[key($elementoExistente)]['color'] = $configuracion['color'];

            } else {

                // El elemento no existe, agregarlo

                $arrayExistente[] = $configuracion;

            }

            

            // Codificar el array actualizado a JSON

            $jsonActualizado = json_encode($arrayExistente, JSON_PRETTY_PRINT);



        // Guardar o imprimir el JSON actualizado según tus necesidades

        file_put_contents('../view/colores_columna_tabla.json', $jsonActualizado);

        }

    break;

    case 'cargar_color_columna':

        // Puedes ajustar la ruta del archivo según tu configuración

        $archivoConfiguracion = '../view/colores_columna_tabla.json';



        if (file_exists($archivoConfiguracion)) {

            $contenido = file_get_contents($archivoConfiguracion);

            echo $contenido;

        }else{

            echo "";

        }

    break;

    case 'guardar_color_fila':

        $archivoConfiguracion = '../view/colores_fila_tabla.json';

        if ($_SERVER['REQUEST_METHOD'] === 'POST') {

            $configuracion = $_POST['configuracion'];

            $datos=file_get_contents($archivoConfiguracion);

            if($datos==''){

                $arrayExistente=[];

            }else{

                $arrayExistente = json_decode($datos, true);// Agregar el nuevo elemento al array existente    

            }

            // Verificar si el elemento ya existe en el array

            $elementoExistente = array_filter($arrayExistente, function($elem) use ($configuracion) {

                return $elem['row'] == $configuracion['row'];

            });



            // Actualizar el color si el elemento existe, de lo contrario, agregarlo

            if (!empty($elementoExistente)) {

                // El elemento ya existe, actualizar el color

                $arrayExistente[key($elementoExistente)]['color'] = $configuracion['color'];

            } else {

                // El elemento no existe, agregarlo

                $arrayExistente[] = $configuracion;

            }

            

            // Codificar el array actualizado a JSON

            $jsonActualizado = json_encode($arrayExistente, JSON_PRETTY_PRINT);



        // Guardar o imprimir el JSON actualizado según tus necesidades

        file_put_contents('../view/colores_fila_tabla.json', $jsonActualizado);

        }

    break;

    case 'cargar_color_fila':

        // Puedes ajustar la ruta del archivo según tu configuración

        $archivoConfiguracion = '../view/colores_fila_tabla.json';



        if (file_exists($archivoConfiguracion)) {

            $contenido = file_get_contents($archivoConfiguracion);

            echo $contenido;

        }else{

            echo "";

        }

    break;

    default:

    break;

}



?>